INTERFACE
SUBROUTINE AEROD_AD(KDLEN,KLEN,KMXCOUNT,KDF,PTF5,PTF,PAEROD_HAT)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KMXCOUNT, KDF
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAEROD_HAT(KDLEN,KMXCOUNT,KDF)
END SUBROUTINE AEROD_AD
END INTERFACE
